Bug 2180425 - CVE-2022-42331 CVE-2022-42332 CVE-2022-42333 CVE-2022-42334 xen: Xen Security Advisory [fedora-all]
Summary: CVE-2022-42331 CVE-2022-42332 CVE-2022-42333 CVE-2022-42334 xen: Xen Security...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xen
Version: 37
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Michael Young
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-42331, CVE-2022-42332, CVE-2022-42333, CVE-2022-42334
TreeView+ depends on / blocked
 
Reported: 2023-03-21 13:00 UTC by Sandipan Roy
Modified: 2023-04-06 01:26 UTC (History)
2 users (show)

Fixed In Version: xen-4.17.0-8.fc38 xen-4.16.3-4.fc37 xen-4.16.3-4.fc36
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-03-26 00:20:02 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Sandipan Roy 2023-03-21 13:00:32 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2180424

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Sandipan Roy 2023-03-21 13:00:36 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2180424,2180425

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2023-03-21 18:05:00 UTC
FEDORA-2023-703f133eb3 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-703f133eb3

Comment 3 Fedora Update System 2023-03-22 00:11:20 UTC
FEDORA-2023-04b5338dd0 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2023-04b5338dd0

Comment 4 Fedora Update System 2023-03-22 00:31:52 UTC
FEDORA-2023-da8315e641 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-da8315e641

Comment 5 Fedora Update System 2023-03-22 01:26:39 UTC
FEDORA-2023-04b5338dd0 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-04b5338dd0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-04b5338dd0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-03-22 02:17:20 UTC
FEDORA-2023-703f133eb3 has been pushed to the Fedora 38 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-703f133eb3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-03-23 01:39:19 UTC
FEDORA-2023-da8315e641 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-da8315e641`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-da8315e641

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-03-26 00:20:02 UTC
FEDORA-2023-703f133eb3 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2023-03-26 01:21:13 UTC
FEDORA-2023-da8315e641 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2023-04-06 01:26:18 UTC
FEDORA-2023-04b5338dd0 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.